orte/runtime/runtime.h File Reference.TH "orte/runtime/runtime.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/runtime/runtime.h \- Interface into the Open MPI Run Time Environment. 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include 'mca/gpr/gpr_types.h'\fP
.br
\fC#include 'opal/util/cmd_line.h'\fP
.br
\fC#include 'runtime/runtime_types.h'\fP
.br
\fC#include 'util/univ_info.h'\fP
.br
\fC#include 'mca/ns/ns.h'\fP
.br

.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBOMPI_RTE_SPAWN_MULTI_CELL\fP   0x0001"
.br
.RI "\fISpawn constraint - require multi-cell support. \fP"
.ti -1c
.RI "#define \fBOMPI_RTE_SPAWN_DAEMON\fP   0x0002"
.br
.RI "\fISpawn constraint - require ability to launch daemons. \fP"
.ti -1c
.RI "#define \fBOMPI_RTE_SPAWN_HIGH_QOS\fP   0x0004"
.br
.RI "\fISpawn constraint - require quality of service support. \fP"
.ti -1c
.RI "#define \fBOMPI_RTE_SPAWN_FROM_MPI\fP   0x0008"
.br
.RI "\fISpawn constraint - caller is an MPI process. \fP"
.ti -1c
.RI "#define \fBOMPI_RTE_SPAWN_MPMD\fP   0x0010"
.br
.RI "\fISpawn constraint - require ability to launch either MPMD (hence the name) applications or applications with specific placement of processes. \fP"
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "OMPI_DECLSPEC int \fBorte_debug_flag\fP"
.br
.RI "\fIInitialze and setup a process in the ORTE. \fP"
.in -1c
.SH "Detailed Description"
.PP 
Interface into the Open MPI Run Time Environment. 


.SH "Define Documentation"
.PP 
.SS "#define OMPI_RTE_SPAWN_DAEMON   0x0002"
.PP
Spawn constraint - require ability to launch daemons. 
.PP
The selected spawn system must be capable of starting daemon process. Setting this flag will result in a spawn service that does not neccessarily provide process monitoring or standard I/O forwarding. The calling process may exit before all children have exited. 
.SS "#define OMPI_RTE_SPAWN_FROM_MPI   0x0008"
.PP
Spawn constraint - caller is an MPI process. 
.PP
The caller is an MPI application (has called MPI_Init). This should be used only for MPI_COMM_SPAWN and MPI_COMM_SPAWN_MULTIPLE. The calling process will follow the semantics of the MPI_COMM_SPAWN_* functions. 
.SS "#define OMPI_RTE_SPAWN_HIGH_QOS   0x0004"
.PP
Spawn constraint - require quality of service support. 
.PP
The selected spawn system must provide I/O forwarding, quick process shutdown, and process status monitoring. 
.SS "#define OMPI_RTE_SPAWN_MULTI_CELL   0x0001"
.PP
Spawn constraint - require multi-cell support. 
.PP
The selected spawn system must be capable of starting across multiple cells. This allows multiple pcms to be used to satisfy a single resource allocation request 
.SH "Variable Documentation"
.PP 
.SS "OMPI_DECLSPEC int \fBorte_debug_flag\fP"
.PP
Initialze and setup a process in the ORTE. 
.PP
\fBReturn values:\fP
.RS 4
\fIORTE_SUCCESS\fP Upon success. 
.br
\fIORTE_ERROR\fP Upon failure. 
.RE
.PP

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
